org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.CheckpointHistory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointHistory

Enclosing class:
  GridCacheDatabaseSharedManager

    public class GridCacheDatabaseSharedManager.CheckpointHistory
    extends Object

Checkpoint history. Holds chronological ordered map with `CheckpointEntries`. Data is loaded from corresponding checkpoint directory. This directory holds files for checkpoint start and end.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheDatabaseSharedManager.CheckpointHistory()`

### Method Summary

Methods
`Collection<Long>` `checkpoints()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheDatabaseSharedManager.CheckpointHistory

    public GridCacheDatabaseSharedManager.CheckpointHistory()

### Method Detail

#### checkpoints

    public Collection<Long> checkpoints()

Returns:
  Collection of checkpoint timestamps.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017